<?php
require '../template/header.php';
require '../library/database.php';

if (!isset($_SESSION["session_user"]) || $_SESSION["session_user"] !== TRUE) {
    header("location: " . $app_url . "/login.php");
}
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	if (empty($_POST['password']) || empty($_POST['confirm_password']) || empty($_POST['code'])) {
		echo '<script type="text/javascript">';
		echo 'setTimeout(function () {';
		echo 'Swal.fire("ไม่สามารถทำรายการได้","กรุณาระบุข้อมูลให้ชัดเจนมากกว่านี้ !","error").then( function(result) {';
		echo 'if (result.isConfirmed) window.location.href = \'' . $app_url . '/changepassword.php\';';
		echo '});';
		echo '}, 200);</script>';
	} elseif ($_POST['code'] != $_SESSION['security_code']) {
		echo '<script type="text/javascript">';
		echo 'setTimeout(function () {';
		echo 'Swal.fire("ไม่สามารถทำรายการได้","Security Code ไม่ถูกต้อง ระบุเฉพาะตัวเลขเท่านั้น","error").then( function(result) {';
		echo 'if (result.isConfirmed) window.location.href = \'' . $app_url . '/changepassword.php\';';
		echo '});';
		echo '}, 200);</script>';
	} elseif ((strlen($_POST['password']) < 6) || (strlen($_POST['password']) > 23)) {
		echo '<script type="text/javascript">';
		echo 'setTimeout(function () {';
		echo 'Swal.fire("ไม่สามารถทำรายการได้","คุณต้องใส่รหัสผ่าน 6-23 ตัวอักษรขึ้นไป","error").then( function(result) {';
		echo 'if (result.isConfirmed) window.location.href = \'' . $app_url . '/changepassword.php\';';
		echo '});';
		echo '}, 200);  </script>';
	} elseif ($_POST['password'] != $_POST['confirm_password']) {
		echo '<script type="text/javascript">';
		echo 'setTimeout(function () {';
		echo 'Swal.fire("ไม่สามารถทำรายการได้","คุณใส่รหัสผ่านไม่ตรงกัน ลองใหม่อีกครั้ง","error").then( function(result) {';
		echo 'if (result.isConfirmed) window.location.href = \'' . $app_url . '/changepassword.php\';';
		echo '});';
		echo '}, 200);</script>';
	} else {
		$account_id = $con->real_escape_string($_SESSION['account_id']);
		$user_pass = $con->query("SELECT user_pass FROM `login` WHERE account_id='{$account_id}'")->fetch_object()->user_pass;
		if ($user_pass != $_POST['password']) {

			$password = $con->real_escape_string($_POST['password']);
			$result = $con->query("UPDATE `login` SET user_pass='{$password}' WHERE account_id='{$account_id}'");

			if ($result == TRUE) {
				echo '<script type="text/javascript">';
				echo 'setTimeout(function () {';
				echo 'Swal.fire("ทำรายการสำเร็จ","เปลี่ยนรหัสผ่านเรียบร้อยแล้ว !","success").then( function(result) {';
				echo 'if (result.isConfirmed) window.location.href = \'' . $app_url . '/login.php\';';
				echo '});';
				echo '}, 200);  </script>';
				unset($_SESSION["session_user"]);
			}
		} else {
			echo '<script type="text/javascript">';
			echo 'setTimeout(function () {';
			echo 'Swal.fire("ไม่สามารถทำรายการได้","คุณต้องใส่รหัสผ่านไม่ให้ตรงกับของเดิม ลองใหม่อีกครั้ง","error").then( function(result) {';
			echo 'if (result.isConfirmed) window.location.href = \'' . $app_url . '/changepassword.php\';';
			echo '});';
			echo '}, 200);</script>';
		}
	}
}
?>
<section class="fxt-template-animation fxt-template-layout22" data-bg-image="<?= $app_url ?>/assets/img/figure/bg.jpg">
	<!-- Star Animation Start Here -->
	<div class="star-animation">
		<div id="stars4"></div>
		<div id="stars5"></div>
	</div>
	<!-- Star Animation End Here -->
	<div class="container">
		<div class="row align-items-center justify-content-md-center">
			<div class="col-lg-9 col-12 fxt-bg-color">
				<div class="fxt-content">
					<div class="fxt-form">
					<?php require_once '../template/menu.php' ?>
					<h2>เปลี่ยนรหัสผ่าน</h2>
						<p>โปรดระมัดระวัง อย่าใช้รหัสผ่านเดียวกับเซิร์ฟอื่นๆ !</p>
						<form class="row g-3" action="<?= $app_url ?>/dashboard/changepassword.php" method="post">
							<div class="col-md-12">
								<div class="form-group">
									<label for="userid" class="input-label">Username ID</label>
									<input type="text" id="userid" class="form-control" value="<?= htmlspecialchars($_SESSION['userid']) ?>" disabled>
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
									<label for="password" class="input-label">Password</label>
									<input id="password" type="password" class="form-control" name="password" placeholder="********" required="required">
									<i toggle="#password" class="fa fa-fw fa-eye toggle-password field-icon"></i>
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
									<label for="re-password" class="input-label">Confirm Password</label>
									<input id="re-password" type="password" class="form-control" name="confirm_password" placeholder="********" required="required">
									<i toggle="#re-password" class="fa fa-fw fa-eye toggle-password field-icon"></i>
								</div>
							</div>
							<div class="col-md-12">
								<div class="form-group">
									<div class="fxt-checkbox-area">
										<label for="pass" class="input-label">Security Code</label>
										<p><img src="<?= $app_url ?>/library/captcha.php"></p>
										<input id="number" type="pass" class="form-control" name="code" placeholder="Ex.โปรดระบุอักษรตามรูปภาพข้างบน" required="required">
									</div>
								</div>
							</div>
							<div class="col-md-12">
								<div class="form-group">
									<button type="submit" class="fxt-btn-fill">Change Password</button>
								</div>
							</div>
						</form>
					</div>
					<div class="fxt-footer">
						<p>คุณต้องการออกจากระบบใช่หรือไม่ ?<a href="<?= $app_url ?>/logout.php" class="switcher-text2 inline-text">คลิกที่นี้</a></p>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>
<?php
require '../template/footer.php';
?>